/*  https://github.com/ionic-team/stencil/issues/2291 */
@import "../global/fontawesome.min.css";
@import "../global/conversation.css";

.modal {
	position: absolute;
  background-color: white;
  top: 5%;
  z-index: 1000;
	left: 50%;
  transform: translate(-50%, 5%);
	width: 100%;
	max-width: 500px;
  padding: 2rem;
  box-sizing: border-box;
}

.lgpd {
  font-size: 1rem;
  margin: 0 auto 1rem 0;
  text-align: center;
  font-family: Helvetica;
}
.lgpd-card, .buttons {
  justify-content: center;
  flex-wrap: wrap;
}
.lgpd-card, .buttons button {
  max-width: unset !important;
  width: 100%;
}
.lgpd-card .close-card button {
  border: 1px solid var(--black-color);

}

.lgpd-card-btn, .lgpd-card-btn-unfocused, .skip-card, .card-btn {
	margin: unset;
	margin-bottom: 10px;
	text-transform: uppercase;
	text-align: center;
	font-family: Folio;
	font-weight: 100;
	border-style: none;
	box-sizing: content-box;
	border-radius: 0.2rem;
  max-width: unset;
  width: 10rem;
  height: 2rem;
  cursor: pointer;
  padding: .5rem;
}
.lgpd-card-btn, .card-btn {
	background-color: #fb127e;
	color: white;
}

.lgpd-card-btn:hover, .card-btn:hover {
	background-color: #ca005e
}

.lgpd-card-btn-unfocused, .skip-card {
	background-color: white;
	color: #fb127e;
	border-style: solid;
	border-width: 1px;
	border-color: #fb127e;
}

.lgpd-card-btn-unfocused:hover, .skip-card:hover {
	background-color: #fb127f26;
}

#container1 h1 {
	margin-bottom: 60px !important;
}

#help-modal1 section, #help-modal2 section {
  text-align: center;
  font-family: Helvetica;
  margin: 1rem auto 1rem auto;
  width: 80%;
}

#help-modal2 {
	display: none;
}

.help {
  cursor: pointer;
}
.help span {
  text-decoration: underline;
  color: #000937;
  font-family: Helvetica;
}

.background {
	position: fixed;
	top: 0;
	left: 0;
	right: 0;
	bottom: 0;
	z-index: 999;
	width: 100vw;
  height: calc(100vw + 100vh);
  opacity: 0.5;
  background-color: black;
}

.loading {
	display: none;
}
.no-background .lds-spinner {
	position: unset;
	width: 80px;
	height: 35px;
}

.groups-loading {
	display: block;
}

.register-loading {
	display: none;
}

.no-background .lds-spinner div::after {
	top: 26px;
	width: 3px;
	height: 7px;
	background: #000937;
}

.board-header .img {
	margin: 30px 0 30px 0;
	text-align: center;
}

.board-header h1 {
  font-size: 3vh;
	font-weight: 100;
	position: relative;
	text-transform: uppercase;
	margin-bottom: 15px !important;
}

.board-header h1, .board-header h2 {
	color: #1D1088;
  width: 80%;
	margin: auto;
	text-align: center;
	line-height: 1.4;
}

.control-modal {
	display: flex;
	color: white;
	margin-bottom: 10px;
	width: 80%;
	margin: 1rem auto;
	text-align: center;
  justify-content: space-evenly;
}

.control-modal div {
	flex-grow: 1;
}

.steps {
    position: absolute;
    left: 0;
    right: 0;
    margin: 25px auto;
    display: flex;
		width: 35%;
    justify-content: space-around;
}

.circle {
	width: 15px;
  height: 15px;
  background-color: white;
  border-radius: 1rem;
	margin: auto;
	transition: all 0.5s;
}

@media only screen and (max-width: 414px) {
  .modal {
    max-width: unset !important;
    width: 100%;
    padding: 3rem 1rem 1rem 1rem;
    top: unset;
    bottom: 0;
    left: 0;
    transform: unset;
    min-height: 530px;
  }
}
